%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           wavpack
Version:        5.4.0
Release:        %mkrel 1
Summary:        Lossless Audio command-line tools for encode/decode
Group:          Sound
License:        BSD
Url:            http://www.wavpack.com
Source0:        http://www.wavpack.com/%{name}-%{version}.tar.xz

BuildRequires:  pkgconfig(ncurses)

%description
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{libname}
Summary:        Lossless Audio encode/decode library
Group:          System/Libraries

%description -n %{libname}
WavPack is a completely open audio compression format providing
lossless, high-quality lossy, and a unique hybrid compression
mode. Although the technology is loosely based on previous versions of
WavPack, the new version 4 format has been designed from the ground up
to offer unparalleled performance and functionality.

%package -n %{devname}
Summary:        Development files for the WavPack library
Group:          Development/Libraries
Provides:       lib%{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}

%description -n %{devname}
This package contains development header and library for WavPack.

%prep
%setup -q

%build
%configure2_5x --disable-static

%make_build

%install
rm -rf %buildroot
%make_install

find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/wavpack
%{_bindir}/wvgain
%{_bindir}/wvtag
%{_bindir}/wvunpack
%{_mandir}/man1/*.1*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Thu Mar 04 2021 tex - 5.4.0-1pclos2021
- new version

* Thu Jan 09 2020 tex - 5.2.0-1pclos2020
- new version: 5.2.0
